/**
 */
package org.fortiss.af3.platform.raspberry.model;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.fortiss.af3.platform.raspberry.model.ModelPackage
 * @generated
 */
public interface ModelFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ModelFactory eINSTANCE = org.fortiss.af3.platform.raspberry.model.impl.ModelFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>CAN Bus</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>CAN Bus</em>'.
	 * @generated
	 */
	CANBus createCANBus();

	/**
	 * Returns a new object of class '<em>IProcessor Domain</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IProcessor Domain</em>'.
	 * @generated
	 */
	IProcessorDomain createIProcessorDomain();

	/**
	 * Returns a new object of class '<em>IBoard Domain</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IBoard Domain</em>'.
	 * @generated
	 */
	IBoardDomain createIBoardDomain();

	/**
	 * Returns a new object of class '<em>Raspberry Pi1</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raspberry Pi1</em>'.
	 * @generated
	 */
	RaspberryPi1 createRaspberryPi1();

	/**
	 * Returns a new object of class '<em>Raspberry Pi2</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raspberry Pi2</em>'.
	 * @generated
	 */
	RaspberryPi2 createRaspberryPi2();

	/**
	 * Returns a new object of class '<em>Raspberry Pi3</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Raspberry Pi3</em>'.
	 * @generated
	 */
	RaspberryPi3 createRaspberryPi3();

	/**
	 * Returns a new object of class '<em>Core</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Core</em>'.
	 * @generated
	 */
	Core createCore();

	/**
	 * Returns a new object of class '<em>Bus</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bus</em>'.
	 * @generated
	 */
	Bus createBus();

	/**
	 * Returns a new object of class '<em>Sensor</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sensor</em>'.
	 * @generated
	 */
	Sensor createSensor();

	/**
	 * Returns a new object of class '<em>Actuator</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Actuator</em>'.
	 * @generated
	 */
	Actuator createActuator();

	/**
	 * Returns a new object of class '<em>Sensor In</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sensor In</em>'.
	 * @generated
	 */
	SensorIn createSensorIn();

	/**
	 * Returns a new object of class '<em>Actuator Out</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Actuator Out</em>'.
	 * @generated
	 */
	ActuatorOut createActuatorOut();

	/**
	 * Returns a new object of class '<em>Bus Master Interface</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bus Master Interface</em>'.
	 * @generated
	 */
	BusMasterInterface createBusMasterInterface();

	/**
	 * Returns a new object of class '<em>Bus Master Port</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Bus Master Port</em>'.
	 * @generated
	 */
	BusMasterPort createBusMasterPort();

	/**
	 * Returns a new object of class '<em>CAN Bus Master Port</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>CAN Bus Master Port</em>'.
	 * @generated
	 */
	CANBusMasterPort createCANBusMasterPort();

	/**
	 * Returns a new object of class '<em>CAN Bus Master Interface</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>CAN Bus Master Interface</em>'.
	 * @generated
	 */
	CANBusMasterInterface createCANBusMasterInterface();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	ModelPackage getModelPackage();

} //ModelFactory
