/**
 */
package org.fortiss.af3.platform.raspberry.model.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.fortiss.af3.platform.raspberry.model.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ModelFactoryImpl extends EFactoryImpl implements ModelFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ModelFactory init() {
		try {
			ModelFactory theModelFactory = (ModelFactory)EPackage.Registry.INSTANCE.getEFactory(ModelPackage.eNS_URI);
			if (theModelFactory != null) {
				return theModelFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new ModelFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ModelFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case ModelPackage.CAN_BUS: return createCANBus();
			case ModelPackage.IPROCESSOR_DOMAIN: return createIProcessorDomain();
			case ModelPackage.IBOARD_DOMAIN: return createIBoardDomain();
			case ModelPackage.RASPBERRY_PI1: return createRaspberryPi1();
			case ModelPackage.RASPBERRY_PI2: return createRaspberryPi2();
			case ModelPackage.RASPBERRY_PI3: return createRaspberryPi3();
			case ModelPackage.CORE: return createCore();
			case ModelPackage.BUS: return createBus();
			case ModelPackage.SENSOR: return createSensor();
			case ModelPackage.ACTUATOR: return createActuator();
			case ModelPackage.SENSOR_IN: return createSensorIn();
			case ModelPackage.ACTUATOR_OUT: return createActuatorOut();
			case ModelPackage.BUS_MASTER_INTERFACE: return createBusMasterInterface();
			case ModelPackage.BUS_MASTER_PORT: return createBusMasterPort();
			case ModelPackage.CAN_BUS_MASTER_PORT: return createCANBusMasterPort();
			case ModelPackage.CAN_BUS_MASTER_INTERFACE: return createCANBusMasterInterface();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CANBus createCANBus() {
		CANBusImpl canBus = new CANBusImpl();
		return canBus;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IProcessorDomain createIProcessorDomain() {
		IProcessorDomainImpl iProcessorDomain = new IProcessorDomainImpl();
		return iProcessorDomain;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IBoardDomain createIBoardDomain() {
		IBoardDomainImpl iBoardDomain = new IBoardDomainImpl();
		return iBoardDomain;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RaspberryPi1 createRaspberryPi1() {
		RaspberryPi1Impl raspberryPi1 = new RaspberryPi1Impl();
		return raspberryPi1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RaspberryPi2 createRaspberryPi2() {
		RaspberryPi2Impl raspberryPi2 = new RaspberryPi2Impl();
		return raspberryPi2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RaspberryPi3 createRaspberryPi3() {
		RaspberryPi3Impl raspberryPi3 = new RaspberryPi3Impl();
		return raspberryPi3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Core createCore() {
		CoreImpl core = new CoreImpl();
		return core;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Bus createBus() {
		BusImpl bus = new BusImpl();
		return bus;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Sensor createSensor() {
		SensorImpl sensor = new SensorImpl();
		return sensor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Actuator createActuator() {
		ActuatorImpl actuator = new ActuatorImpl();
		return actuator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SensorIn createSensorIn() {
		SensorInImpl sensorIn = new SensorInImpl();
		return sensorIn;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActuatorOut createActuatorOut() {
		ActuatorOutImpl actuatorOut = new ActuatorOutImpl();
		return actuatorOut;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusMasterInterface createBusMasterInterface() {
		BusMasterInterfaceImpl busMasterInterface = new BusMasterInterfaceImpl();
		return busMasterInterface;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusMasterPort createBusMasterPort() {
		BusMasterPortImpl busMasterPort = new BusMasterPortImpl();
		return busMasterPort;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CANBusMasterPort createCANBusMasterPort() {
		CANBusMasterPortImpl canBusMasterPort = new CANBusMasterPortImpl();
		return canBusMasterPort;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CANBusMasterInterface createCANBusMasterInterface() {
		CANBusMasterInterfaceImpl canBusMasterInterface = new CANBusMasterInterfaceImpl();
		return canBusMasterInterface;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ModelPackage getModelPackage() {
		return (ModelPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static ModelPackage getPackage() {
		return ModelPackage.eINSTANCE;
	}

} //ModelFactoryImpl
