/**
 */
package org.fortiss.af3.platform.raspberry.model.util;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

import org.fortiss.af3.platform.model.ExecutionUnit;
import org.fortiss.af3.platform.model.GenericPlatformUnit;
import org.fortiss.af3.platform.model.IArchitectureDomain;
import org.fortiss.af3.platform.model.IBoardPlatformArchitectureElement;
import org.fortiss.af3.platform.model.ICommunicationMaster;
import org.fortiss.af3.platform.model.ICommunicationRole;
import org.fortiss.af3.platform.model.IIpCorePlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPhysicalPlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPlatformArchitectureElementType;
import org.fortiss.af3.platform.model.IPlatformCommunicationResource;
import org.fortiss.af3.platform.model.IPlatformConnectorType;
import org.fortiss.af3.platform.model.IPlatformIOResource;
import org.fortiss.af3.platform.model.IPlatformInterface;
import org.fortiss.af3.platform.model.IPlatformPort;
import org.fortiss.af3.platform.model.IPlatformProcessingResource;
import org.fortiss.af3.platform.model.IPlatformResource;
import org.fortiss.af3.platform.model.PlatformConnectorUnit;
import org.fortiss.af3.platform.model.Receiver;
import org.fortiss.af3.platform.model.Transceiver;
import org.fortiss.af3.platform.model.TransmissionUnit;
import org.fortiss.af3.platform.model.Transmitter;

import org.fortiss.af3.platform.raspberry.model.*;

import org.fortiss.tooling.base.model.base.ConnectorBase;
import org.fortiss.tooling.base.model.base.EntryConnectorBase;
import org.fortiss.tooling.base.model.base.ExitConnectorBase;
import org.fortiss.tooling.base.model.base.HierarchicElementBase;

import org.fortiss.tooling.base.model.element.IConnector;
import org.fortiss.tooling.base.model.element.IHierarchicElement;
import org.fortiss.tooling.base.model.element.IHierarchicElementContainer;
import org.fortiss.tooling.base.model.element.IModelElement;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;

import org.fortiss.tooling.kernel.model.IIdLabeled;
import org.fortiss.tooling.kernel.model.INamedCommentedElement;
import org.fortiss.tooling.kernel.model.INamedElement;
import org.fortiss.tooling.kernel.model.ISpeciallyCopyiable;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.fortiss.af3.platform.raspberry.model.ModelPackage
 * @generated
 */
public class ModelSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ModelPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ModelSwitch() {
		if (modelPackage == null) {
			modelPackage = ModelPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @parameter ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case ModelPackage.CAN_BUS: {
				CANBus canBus = (CANBus)theEObject;
				T result = caseCANBus(canBus);
				if (result == null) result = caseTransmissionUnit(canBus);
				if (result == null) result = caseIBoardPlatformArchitectureElement(canBus);
				if (result == null) result = caseIBoardDomain(canBus);
				if (result == null) result = caseIPlatformArchitectureElement(canBus);
				if (result == null) result = caseIPlatformCommunicationResource(canBus);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(canBus);
				if (result == null) result = caseIArchitectureDomain(canBus);
				if (result == null) result = caseHierarchicElementBase(canBus);
				if (result == null) result = caseISpeciallyCopyiable(canBus);
				if (result == null) result = caseIPlatformResource(canBus);
				if (result == null) result = caseIPlatformArchitectureElementType(canBus);
				if (result == null) result = caseINamedCommentedElement(canBus);
				if (result == null) result = caseIHierarchicElement(canBus);
				if (result == null) result = caseILayoutedModelElement(canBus);
				if (result == null) result = caseINamedElement(canBus);
				if (result == null) result = caseIHierarchicElementContainer(canBus);
				if (result == null) result = caseIModelElement(canBus);
				if (result == null) result = caseIIdLabeled(canBus);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.IPROCESSOR_DOMAIN: {
				IProcessorDomain iProcessorDomain = (IProcessorDomain)theEObject;
				T result = caseIProcessorDomain(iProcessorDomain);
				if (result == null) result = caseIArchitectureDomain(iProcessorDomain);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.IBOARD_DOMAIN: {
				IBoardDomain iBoardDomain = (IBoardDomain)theEObject;
				T result = caseIBoardDomain(iBoardDomain);
				if (result == null) result = caseIArchitectureDomain(iBoardDomain);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.RASPBERRY_PI1: {
				RaspberryPi1 raspberryPi1 = (RaspberryPi1)theEObject;
				T result = caseRaspberryPi1(raspberryPi1);
				if (result == null) result = caseGenericPlatformUnit(raspberryPi1);
				if (result == null) result = caseICommunicationMaster(raspberryPi1);
				if (result == null) result = caseIBoardPlatformArchitectureElement(raspberryPi1);
				if (result == null) result = caseIBoardDomain(raspberryPi1);
				if (result == null) result = caseIPlatformArchitectureElement(raspberryPi1);
				if (result == null) result = caseICommunicationRole(raspberryPi1);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(raspberryPi1);
				if (result == null) result = caseIArchitectureDomain(raspberryPi1);
				if (result == null) result = caseHierarchicElementBase(raspberryPi1);
				if (result == null) result = caseISpeciallyCopyiable(raspberryPi1);
				if (result == null) result = caseIPlatformArchitectureElementType(raspberryPi1);
				if (result == null) result = caseINamedCommentedElement(raspberryPi1);
				if (result == null) result = caseIHierarchicElement(raspberryPi1);
				if (result == null) result = caseILayoutedModelElement(raspberryPi1);
				if (result == null) result = caseINamedElement(raspberryPi1);
				if (result == null) result = caseIHierarchicElementContainer(raspberryPi1);
				if (result == null) result = caseIModelElement(raspberryPi1);
				if (result == null) result = caseIIdLabeled(raspberryPi1);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.RASPBERRY_PI2: {
				RaspberryPi2 raspberryPi2 = (RaspberryPi2)theEObject;
				T result = caseRaspberryPi2(raspberryPi2);
				if (result == null) result = caseGenericPlatformUnit(raspberryPi2);
				if (result == null) result = caseICommunicationMaster(raspberryPi2);
				if (result == null) result = caseIBoardPlatformArchitectureElement(raspberryPi2);
				if (result == null) result = caseIBoardDomain(raspberryPi2);
				if (result == null) result = caseIPlatformArchitectureElement(raspberryPi2);
				if (result == null) result = caseICommunicationRole(raspberryPi2);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(raspberryPi2);
				if (result == null) result = caseIArchitectureDomain(raspberryPi2);
				if (result == null) result = caseHierarchicElementBase(raspberryPi2);
				if (result == null) result = caseISpeciallyCopyiable(raspberryPi2);
				if (result == null) result = caseIPlatformArchitectureElementType(raspberryPi2);
				if (result == null) result = caseINamedCommentedElement(raspberryPi2);
				if (result == null) result = caseIHierarchicElement(raspberryPi2);
				if (result == null) result = caseILayoutedModelElement(raspberryPi2);
				if (result == null) result = caseINamedElement(raspberryPi2);
				if (result == null) result = caseIHierarchicElementContainer(raspberryPi2);
				if (result == null) result = caseIModelElement(raspberryPi2);
				if (result == null) result = caseIIdLabeled(raspberryPi2);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.RASPBERRY_PI3: {
				RaspberryPi3 raspberryPi3 = (RaspberryPi3)theEObject;
				T result = caseRaspberryPi3(raspberryPi3);
				if (result == null) result = caseGenericPlatformUnit(raspberryPi3);
				if (result == null) result = caseICommunicationMaster(raspberryPi3);
				if (result == null) result = caseIBoardPlatformArchitectureElement(raspberryPi3);
				if (result == null) result = caseIBoardDomain(raspberryPi3);
				if (result == null) result = caseIPlatformArchitectureElement(raspberryPi3);
				if (result == null) result = caseICommunicationRole(raspberryPi3);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(raspberryPi3);
				if (result == null) result = caseIArchitectureDomain(raspberryPi3);
				if (result == null) result = caseHierarchicElementBase(raspberryPi3);
				if (result == null) result = caseISpeciallyCopyiable(raspberryPi3);
				if (result == null) result = caseIPlatformArchitectureElementType(raspberryPi3);
				if (result == null) result = caseINamedCommentedElement(raspberryPi3);
				if (result == null) result = caseIHierarchicElement(raspberryPi3);
				if (result == null) result = caseILayoutedModelElement(raspberryPi3);
				if (result == null) result = caseINamedElement(raspberryPi3);
				if (result == null) result = caseIHierarchicElementContainer(raspberryPi3);
				if (result == null) result = caseIModelElement(raspberryPi3);
				if (result == null) result = caseIIdLabeled(raspberryPi3);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.CORE: {
				Core core = (Core)theEObject;
				T result = caseCore(core);
				if (result == null) result = caseExecutionUnit(core);
				if (result == null) result = caseICommunicationMaster(core);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(core);
				if (result == null) result = caseIProcessorDomain(core);
				if (result == null) result = caseIPlatformArchitectureElement(core);
				if (result == null) result = caseIPlatformProcessingResource(core);
				if (result == null) result = caseICommunicationRole(core);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(core);
				if (result == null) result = caseIArchitectureDomain(core);
				if (result == null) result = caseHierarchicElementBase(core);
				if (result == null) result = caseISpeciallyCopyiable(core);
				if (result == null) result = caseIPlatformResource(core);
				if (result == null) result = caseIPlatformArchitectureElementType(core);
				if (result == null) result = caseINamedCommentedElement(core);
				if (result == null) result = caseIHierarchicElement(core);
				if (result == null) result = caseILayoutedModelElement(core);
				if (result == null) result = caseINamedElement(core);
				if (result == null) result = caseIHierarchicElementContainer(core);
				if (result == null) result = caseIModelElement(core);
				if (result == null) result = caseIIdLabeled(core);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.BUS: {
				Bus bus = (Bus)theEObject;
				T result = caseBus(bus);
				if (result == null) result = caseTransmissionUnit(bus);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(bus);
				if (result == null) result = caseIProcessorDomain(bus);
				if (result == null) result = caseIPlatformArchitectureElement(bus);
				if (result == null) result = caseIPlatformCommunicationResource(bus);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(bus);
				if (result == null) result = caseIArchitectureDomain(bus);
				if (result == null) result = caseHierarchicElementBase(bus);
				if (result == null) result = caseISpeciallyCopyiable(bus);
				if (result == null) result = caseIPlatformResource(bus);
				if (result == null) result = caseIPlatformArchitectureElementType(bus);
				if (result == null) result = caseINamedCommentedElement(bus);
				if (result == null) result = caseIHierarchicElement(bus);
				if (result == null) result = caseILayoutedModelElement(bus);
				if (result == null) result = caseINamedElement(bus);
				if (result == null) result = caseIHierarchicElementContainer(bus);
				if (result == null) result = caseIModelElement(bus);
				if (result == null) result = caseIIdLabeled(bus);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.SENSOR: {
				Sensor sensor = (Sensor)theEObject;
				T result = caseSensor(sensor);
				if (result == null) result = caseReceiver(sensor);
				if (result == null) result = caseIBoardPlatformArchitectureElement(sensor);
				if (result == null) result = caseICommunicationMaster(sensor);
				if (result == null) result = caseIBoardDomain(sensor);
				if (result == null) result = caseIPlatformPort(sensor);
				if (result == null) result = caseIPlatformIOResource(sensor);
				if (result == null) result = casePlatformConnectorUnit(sensor);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(sensor);
				if (result == null) result = caseICommunicationRole(sensor);
				if (result == null) result = caseIArchitectureDomain(sensor);
				if (result == null) result = caseIPlatformConnectorType(sensor);
				if (result == null) result = caseExitConnectorBase(sensor);
				if (result == null) result = caseIPlatformResource(sensor);
				if (result == null) result = caseConnectorBase(sensor);
				if (result == null) result = caseISpeciallyCopyiable(sensor);
				if (result == null) result = caseIPlatformArchitectureElementType(sensor);
				if (result == null) result = caseINamedCommentedElement(sensor);
				if (result == null) result = caseIConnector(sensor);
				if (result == null) result = caseILayoutedModelElement(sensor);
				if (result == null) result = caseINamedElement(sensor);
				if (result == null) result = caseIModelElement(sensor);
				if (result == null) result = caseIIdLabeled(sensor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.ACTUATOR: {
				Actuator actuator = (Actuator)theEObject;
				T result = caseActuator(actuator);
				if (result == null) result = caseTransmitter(actuator);
				if (result == null) result = caseIBoardPlatformArchitectureElement(actuator);
				if (result == null) result = caseICommunicationMaster(actuator);
				if (result == null) result = caseIBoardDomain(actuator);
				if (result == null) result = caseIPlatformPort(actuator);
				if (result == null) result = caseIPlatformIOResource(actuator);
				if (result == null) result = casePlatformConnectorUnit(actuator);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(actuator);
				if (result == null) result = caseICommunicationRole(actuator);
				if (result == null) result = caseIArchitectureDomain(actuator);
				if (result == null) result = caseIPlatformConnectorType(actuator);
				if (result == null) result = caseExitConnectorBase(actuator);
				if (result == null) result = caseIPlatformResource(actuator);
				if (result == null) result = caseConnectorBase(actuator);
				if (result == null) result = caseISpeciallyCopyiable(actuator);
				if (result == null) result = caseIPlatformArchitectureElementType(actuator);
				if (result == null) result = caseINamedCommentedElement(actuator);
				if (result == null) result = caseIConnector(actuator);
				if (result == null) result = caseILayoutedModelElement(actuator);
				if (result == null) result = caseINamedElement(actuator);
				if (result == null) result = caseIModelElement(actuator);
				if (result == null) result = caseIIdLabeled(actuator);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.SENSOR_IN: {
				SensorIn sensorIn = (SensorIn)theEObject;
				T result = caseSensorIn(sensorIn);
				if (result == null) result = caseReceiver(sensorIn);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(sensorIn);
				if (result == null) result = caseICommunicationMaster(sensorIn);
				if (result == null) result = caseIProcessorDomain(sensorIn);
				if (result == null) result = caseIPlatformPort(sensorIn);
				if (result == null) result = caseIPlatformIOResource(sensorIn);
				if (result == null) result = casePlatformConnectorUnit(sensorIn);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(sensorIn);
				if (result == null) result = caseICommunicationRole(sensorIn);
				if (result == null) result = caseIArchitectureDomain(sensorIn);
				if (result == null) result = caseIPlatformConnectorType(sensorIn);
				if (result == null) result = caseExitConnectorBase(sensorIn);
				if (result == null) result = caseIPlatformResource(sensorIn);
				if (result == null) result = caseConnectorBase(sensorIn);
				if (result == null) result = caseISpeciallyCopyiable(sensorIn);
				if (result == null) result = caseIPlatformArchitectureElementType(sensorIn);
				if (result == null) result = caseINamedCommentedElement(sensorIn);
				if (result == null) result = caseIConnector(sensorIn);
				if (result == null) result = caseILayoutedModelElement(sensorIn);
				if (result == null) result = caseINamedElement(sensorIn);
				if (result == null) result = caseIModelElement(sensorIn);
				if (result == null) result = caseIIdLabeled(sensorIn);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.ACTUATOR_OUT: {
				ActuatorOut actuatorOut = (ActuatorOut)theEObject;
				T result = caseActuatorOut(actuatorOut);
				if (result == null) result = caseTransmitter(actuatorOut);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(actuatorOut);
				if (result == null) result = caseICommunicationMaster(actuatorOut);
				if (result == null) result = caseIProcessorDomain(actuatorOut);
				if (result == null) result = caseIPlatformPort(actuatorOut);
				if (result == null) result = caseIPlatformIOResource(actuatorOut);
				if (result == null) result = casePlatformConnectorUnit(actuatorOut);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(actuatorOut);
				if (result == null) result = caseICommunicationRole(actuatorOut);
				if (result == null) result = caseIArchitectureDomain(actuatorOut);
				if (result == null) result = caseIPlatformConnectorType(actuatorOut);
				if (result == null) result = caseExitConnectorBase(actuatorOut);
				if (result == null) result = caseIPlatformResource(actuatorOut);
				if (result == null) result = caseConnectorBase(actuatorOut);
				if (result == null) result = caseISpeciallyCopyiable(actuatorOut);
				if (result == null) result = caseIPlatformArchitectureElementType(actuatorOut);
				if (result == null) result = caseINamedCommentedElement(actuatorOut);
				if (result == null) result = caseIConnector(actuatorOut);
				if (result == null) result = caseILayoutedModelElement(actuatorOut);
				if (result == null) result = caseINamedElement(actuatorOut);
				if (result == null) result = caseIModelElement(actuatorOut);
				if (result == null) result = caseIIdLabeled(actuatorOut);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.BUS_MASTER_INTERFACE: {
				BusMasterInterface busMasterInterface = (BusMasterInterface)theEObject;
				T result = caseBusMasterInterface(busMasterInterface);
				if (result == null) result = caseTransceiver(busMasterInterface);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(busMasterInterface);
				if (result == null) result = caseIPlatformInterface(busMasterInterface);
				if (result == null) result = caseICommunicationMaster(busMasterInterface);
				if (result == null) result = caseIProcessorDomain(busMasterInterface);
				if (result == null) result = casePlatformConnectorUnit(busMasterInterface);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(busMasterInterface);
				if (result == null) result = caseIPlatformConnectorType(busMasterInterface);
				if (result == null) result = caseEntryConnectorBase(busMasterInterface);
				if (result == null) result = caseICommunicationRole(busMasterInterface);
				if (result == null) result = caseIArchitectureDomain(busMasterInterface);
				if (result == null) result = caseConnectorBase(busMasterInterface);
				if (result == null) result = caseISpeciallyCopyiable(busMasterInterface);
				if (result == null) result = caseIPlatformArchitectureElementType(busMasterInterface);
				if (result == null) result = caseINamedCommentedElement(busMasterInterface);
				if (result == null) result = caseIConnector(busMasterInterface);
				if (result == null) result = caseILayoutedModelElement(busMasterInterface);
				if (result == null) result = caseINamedElement(busMasterInterface);
				if (result == null) result = caseIModelElement(busMasterInterface);
				if (result == null) result = caseIIdLabeled(busMasterInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.BUS_MASTER_PORT: {
				BusMasterPort busMasterPort = (BusMasterPort)theEObject;
				T result = caseBusMasterPort(busMasterPort);
				if (result == null) result = caseTransceiver(busMasterPort);
				if (result == null) result = caseIIpCorePlatformArchitectureElement(busMasterPort);
				if (result == null) result = caseIPlatformPort(busMasterPort);
				if (result == null) result = caseICommunicationMaster(busMasterPort);
				if (result == null) result = caseIProcessorDomain(busMasterPort);
				if (result == null) result = casePlatformConnectorUnit(busMasterPort);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(busMasterPort);
				if (result == null) result = caseIPlatformConnectorType(busMasterPort);
				if (result == null) result = caseExitConnectorBase(busMasterPort);
				if (result == null) result = caseICommunicationRole(busMasterPort);
				if (result == null) result = caseIArchitectureDomain(busMasterPort);
				if (result == null) result = caseConnectorBase(busMasterPort);
				if (result == null) result = caseISpeciallyCopyiable(busMasterPort);
				if (result == null) result = caseIPlatformArchitectureElementType(busMasterPort);
				if (result == null) result = caseINamedCommentedElement(busMasterPort);
				if (result == null) result = caseIConnector(busMasterPort);
				if (result == null) result = caseILayoutedModelElement(busMasterPort);
				if (result == null) result = caseINamedElement(busMasterPort);
				if (result == null) result = caseIModelElement(busMasterPort);
				if (result == null) result = caseIIdLabeled(busMasterPort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.CAN_BUS_MASTER_PORT: {
				CANBusMasterPort canBusMasterPort = (CANBusMasterPort)theEObject;
				T result = caseCANBusMasterPort(canBusMasterPort);
				if (result == null) result = caseTransceiver(canBusMasterPort);
				if (result == null) result = caseIBoardPlatformArchitectureElement(canBusMasterPort);
				if (result == null) result = caseIPlatformPort(canBusMasterPort);
				if (result == null) result = caseICommunicationMaster(canBusMasterPort);
				if (result == null) result = caseIBoardDomain(canBusMasterPort);
				if (result == null) result = casePlatformConnectorUnit(canBusMasterPort);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(canBusMasterPort);
				if (result == null) result = caseIPlatformConnectorType(canBusMasterPort);
				if (result == null) result = caseExitConnectorBase(canBusMasterPort);
				if (result == null) result = caseICommunicationRole(canBusMasterPort);
				if (result == null) result = caseIArchitectureDomain(canBusMasterPort);
				if (result == null) result = caseConnectorBase(canBusMasterPort);
				if (result == null) result = caseISpeciallyCopyiable(canBusMasterPort);
				if (result == null) result = caseIPlatformArchitectureElementType(canBusMasterPort);
				if (result == null) result = caseINamedCommentedElement(canBusMasterPort);
				if (result == null) result = caseIConnector(canBusMasterPort);
				if (result == null) result = caseILayoutedModelElement(canBusMasterPort);
				if (result == null) result = caseINamedElement(canBusMasterPort);
				if (result == null) result = caseIModelElement(canBusMasterPort);
				if (result == null) result = caseIIdLabeled(canBusMasterPort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case ModelPackage.CAN_BUS_MASTER_INTERFACE: {
				CANBusMasterInterface canBusMasterInterface = (CANBusMasterInterface)theEObject;
				T result = caseCANBusMasterInterface(canBusMasterInterface);
				if (result == null) result = caseTransceiver(canBusMasterInterface);
				if (result == null) result = caseIBoardPlatformArchitectureElement(canBusMasterInterface);
				if (result == null) result = caseIPlatformInterface(canBusMasterInterface);
				if (result == null) result = caseICommunicationMaster(canBusMasterInterface);
				if (result == null) result = caseIBoardDomain(canBusMasterInterface);
				if (result == null) result = casePlatformConnectorUnit(canBusMasterInterface);
				if (result == null) result = caseIPhysicalPlatformArchitectureElement(canBusMasterInterface);
				if (result == null) result = caseIPlatformConnectorType(canBusMasterInterface);
				if (result == null) result = caseEntryConnectorBase(canBusMasterInterface);
				if (result == null) result = caseICommunicationRole(canBusMasterInterface);
				if (result == null) result = caseIArchitectureDomain(canBusMasterInterface);
				if (result == null) result = caseConnectorBase(canBusMasterInterface);
				if (result == null) result = caseISpeciallyCopyiable(canBusMasterInterface);
				if (result == null) result = caseIPlatformArchitectureElementType(canBusMasterInterface);
				if (result == null) result = caseINamedCommentedElement(canBusMasterInterface);
				if (result == null) result = caseIConnector(canBusMasterInterface);
				if (result == null) result = caseILayoutedModelElement(canBusMasterInterface);
				if (result == null) result = caseINamedElement(canBusMasterInterface);
				if (result == null) result = caseIModelElement(canBusMasterInterface);
				if (result == null) result = caseIIdLabeled(canBusMasterInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>CAN Bus</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>CAN Bus</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCANBus(CANBus object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IProcessor Domain</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IProcessor Domain</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIProcessorDomain(IProcessorDomain object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IBoard Domain</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IBoard Domain</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIBoardDomain(IBoardDomain object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Raspberry Pi1</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Raspberry Pi1</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRaspberryPi1(RaspberryPi1 object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Raspberry Pi2</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Raspberry Pi2</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRaspberryPi2(RaspberryPi2 object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Raspberry Pi3</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Raspberry Pi3</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRaspberryPi3(RaspberryPi3 object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Core</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Core</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCore(Core object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bus</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bus</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBus(Bus object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sensor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sensor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSensor(Sensor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Actuator</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Actuator</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseActuator(Actuator object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sensor In</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sensor In</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSensorIn(SensorIn object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Actuator Out</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Actuator Out</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseActuatorOut(ActuatorOut object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bus Master Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bus Master Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusMasterInterface(BusMasterInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bus Master Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bus Master Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusMasterPort(BusMasterPort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>CAN Bus Master Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>CAN Bus Master Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCANBusMasterPort(CANBusMasterPort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>CAN Bus Master Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>CAN Bus Master Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCANBusMasterInterface(CANBusMasterInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IId Labeled</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IId Labeled</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIIdLabeled(IIdLabeled object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>INamed Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>INamed Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseINamedElement(INamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>INamed Commented Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>INamed Commented Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseINamedCommentedElement(INamedCommentedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IHierarchic Element Container</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IHierarchic Element Container</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIHierarchicElementContainer(IHierarchicElementContainer object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IModel Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IModel Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIModelElement(IModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IHierarchic Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IHierarchic Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIHierarchicElement(IHierarchicElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ILayouted Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ILayouted Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseILayoutedModelElement(ILayoutedModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Hierarchic Element Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Hierarchic Element Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseHierarchicElementBase(HierarchicElementBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ISpecially Copyiable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ISpecially Copyiable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseISpeciallyCopyiable(ISpeciallyCopyiable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Architecture Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Architecture Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformArchitectureElement(IPlatformArchitectureElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Resource</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Resource</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformResource(IPlatformResource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Communication Resource</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Communication Resource</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformCommunicationResource(IPlatformCommunicationResource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transmission Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transmission Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTransmissionUnit(TransmissionUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Architecture Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Architecture Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformArchitectureElementType(IPlatformArchitectureElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPhysical Platform Architecture Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPhysical Platform Architecture Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPhysicalPlatformArchitectureElement(IPhysicalPlatformArchitectureElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IBoard Platform Architecture Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IBoard Platform Architecture Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIBoardPlatformArchitectureElement(IBoardPlatformArchitectureElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IArchitecture Domain</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IArchitecture Domain</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIArchitectureDomain(IArchitectureDomain object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generic Platform Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generic Platform Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGenericPlatformUnit(GenericPlatformUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ICommunication Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ICommunication Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseICommunicationRole(ICommunicationRole object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ICommunication Master</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ICommunication Master</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseICommunicationMaster(ICommunicationMaster object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Processing Resource</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Processing Resource</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformProcessingResource(IPlatformProcessingResource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Execution Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Execution Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExecutionUnit(ExecutionUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IIp Core Platform Architecture Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IIp Core Platform Architecture Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIIpCorePlatformArchitectureElement(IIpCorePlatformArchitectureElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IConnector</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IConnector</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIConnector(IConnector object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Connector Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Connector Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConnectorBase(ConnectorBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Platform Connector Unit</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Platform Connector Unit</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePlatformConnectorUnit(PlatformConnectorUnit object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Receiver</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Receiver</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReceiver(Receiver object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Connector Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Connector Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformConnectorType(IPlatformConnectorType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Exit Connector Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Exit Connector Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExitConnectorBase(ExitConnectorBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformPort(IPlatformPort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform IO Resource</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform IO Resource</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformIOResource(IPlatformIOResource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transmitter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transmitter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTransmitter(Transmitter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transceiver</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transceiver</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTransceiver(Transceiver object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entry Connector Base</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entry Connector Base</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEntryConnectorBase(EntryConnectorBase object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IPlatform Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IPlatform Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIPlatformInterface(IPlatformInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //ModelSwitch
